Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IFaceDetectMetadata Class Reference
CaptureMetadata | Ext::FaceDetect

Interface to overall face detection results metadata. More...

`#include <FaceDetect.h>`

Inheritance diagram for Argus::Ext::IFaceDetectMetadata:

List of all members.

## Public Member Functions
virtual Status | getFaceDetectResults (std::vector< InterfaceProvider * > *results) const =0

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IFaceDetectMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to overall face detection results metadata.

Definition at line 125 of file FaceDetect.h.

## Constructor & Destructor Documentation

Argus::Ext::IFaceDetectMetadata::~IFaceDetectMetadata | ( |  | ) |
| inline protected

Definition at line 139 of file FaceDetect.h.

## Member Function Documentation

virtual Status Argus::Ext::IFaceDetectMetadata::getFaceDetectResults | ( | std::vector< InterfaceProvider * > * | results | ) | const
| pure virtual

Returns:
  the face detection results.

Parameters:

  [out] | results | A vector that will be populated with the face detect results.

Returns:
  success/status of the call.

static const InterfaceID& Argus::Ext::IFaceDetectMetadata::id | ( |  | ) |
| inline static

Definition at line 128 of file FaceDetect.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/FaceDetect.h